import { Component } from '@angular/core';
import { Hero } from '../hero';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HeroService } from '../hero.service'; //новая библиотека добавлена вместо HEROES
import { HeroDetailComponent } from '../hero-detail/hero-detail.component';

@Component({
  selector: 'app-heroes',
  templateUrl: './heroes.component.html',
  styleUrls: ['./heroes.component.css'],
  imports: [CommonModule, FormsModule, HeroDetailComponent]
})

export class HeroesComponent { //определяем класс со списком героев
  heroes: Hero[] = [];
  selectedHero?: Hero;

  onSelect(hero: Hero): void {
  this.selectedHero = hero;
  }

  getHeroes(): void {
  this.heroService.getHeroes()
      .subscribe(heroes => this.heroes = heroes);
  }
  
  ngOnInit(): void {
  this.getHeroes();
  }
  constructor(private heroService: HeroService) {}

}


